www/smarty3: Update from 3.1.29 to 3.1.30
ClosedPublic

Authored by joneum on Dec 29 2017, 9:36 PM.

Details

Summary

www/smarty3: Update from 3.1.29 to 3.1.30

Changelog: https://github.com/smarty-php/smarty/blob/v3.1.30/change_log.txt

PR: 224564
Reported by: Matthias Fechner <idefix@fechner.net>
Approved by: maintainer timeout (2 weeks) xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
joneum created this revision.Dec 29 2017, 9:36 PM

The pr you linked is from 2017-12-24 10:50:47 UTC -- so still some time for 2 weeks :)

tcberner added inline comments.Dec 29 2017, 9:44 PM
www/smarty3/Makefile
16 ↗(On Diff #37197)

^ These two likely belong after the USES block

See: 15.9. Standard bsd.port.mk Variables where I think they belong into.

The pr you linked is from 2017-12-24 10:50:47 UTC -- so still some time for 2 weeks :)

Pls look at Test Plan:

#(2 weeks Maintainer timeout: 07.01.2018)

joneum added inline comments.Dec 29 2017, 9:47 PM
www/smarty3/Makefile
16 ↗(On Diff #37197)

.www/smarty3: portlint -AC [22:47:01]
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

joneum marked 2 inline comments as done.Dec 29 2017, 10:04 PM
tcberner added inline comments.Dec 29 2017, 10:40 PM
www/smarty3/Makefile
16 ↗(On Diff #37197)

Well, have you considered, that portlint might not yet have caught on with the documentation =)

mat added inline comments.Dec 29 2017, 10:41 PM
www/smarty3/Makefile
20 ↗(On Diff #37197)

This is not needed.

joneum updated this revision to Diff 37203.Dec 29 2017, 10:56 PM

Suggested changes from tcberner and mat

mat added inline comments.Dec 29 2017, 11:00 PM
www/smarty3/Makefile
21 ↗(On Diff #37203)

Mmmm, if you remove this line, you should also remove files/pkg-message.in.

joneum updated this revision to Diff 37205.Dec 29 2017, 11:07 PM

Suggested changes from tcberner and mat

mat added a comment.Dec 30 2017, 8:37 AM

Just to be sure, the content of pkg-message is no longer relevant ?

In D13684#286191, @mat wrote:

Just to be sure, the content of pkg-message is no longer relevant ?

https://reviews.freebsd.org/D13684#286022
https://reviews.freebsd.org/D13684#286048

"This is not needed."
Your words

mat added a comment.Dec 30 2017, 9:14 AM

I only quoted the PKGMESSAGE line, which is not needed, it will automatically be set when pkg-message is present in SUB_FILES. You then removed both lines, thus what I said afterwards about being consistent.

joneum updated this revision to Diff 37345.Jan 1 2018, 9:51 AM

revert /files and PKGMESSAGE=

tcberner accepted this revision.Jan 9 2018, 5:41 PM
This revision is now accepted and ready to land.Jan 9 2018, 5:41 PM
This revision was automatically updated to reflect the committed changes.